













Privacy Statement | 










 


$(function(){
	detectMobile();
});
function getCookieValue(name) {
    var cookievalue = "";
    var ca = document.cookie.split(";");
    for(var i=0; i<ca.length; i++) {
		var c = ca[i].trim();
		c = c.replace(/\%20/g," ");
	  	if (c.indexOf(name)==0) {
	  	  	cookievalue = c.substring(name.length,c.length);
	 	}
    }
    return cookievalue;
}

function detectMobile(){
		var cookieName = "go_full_web=";
	var cookieValue = getCookieValue(cookieName);
	if(MobileEsp.isMobilePhone){
		if("yes" == cookieValue){
		}else{
			window.location.href = ('http://www.weather.gov.sg/mobile');
		}
	}
}

            Contact Us 




        Weather     Forecasts  2-hr Nowcast 24-hr Forecast 4-Day Outlook Fortnightly Outlook Monsoon Update    World Forecasts      Marine Forecasts  Significant Wave Wind Wave Swell Surface Wind Marine Weather    Lightning Information     Current Observations  Rainfall Temperature Relative Humidity Wind Visibility    Ultraviolet Index (UVI)      Rain Areas  Singapore 240km Range 480km Range        Astronomical Data and Tides      Satellite Images  Geostationary Satellite Polar Orbiting Satellite               Warnings and Advisories     Heavy Rain Warning    Haze Information  Latest Satellite Image Regional Haze Map      Tropical Cyclone Information   Regional Earthquake/Tsunami   Regional Volcanic Eruptions         Climate     Historical Daily Records    Historical Extremes  Rainfall Temperature Relative Humidity Wind      Climate Maps  Monthly and Annual Maps Overview of All Annual Maps    Climate Of Singapore    World Climate      Past Climate Trends    Annual Reports    El Niño / La Niña Status         Learn    Learn

Overview
Winds
Weather Systems
Severe Weather
Climate
Tides


Earth’s Atmosphere
Clouds
Observing the Weather
Forecasting
Optical Effects
Earthquakes and Volcanoes

     About MSS    About

Our Organisation
Our Mission and Vision
Corporate Logo
News
Visit Us


Organisation Structure
Our History
Corporate Video
Careers
Contact Us

        




 Home Privacy Statement
Privacy Statement

This is a Singapore Government website. Thank you for examining our privacy statement.
If you are only browsing this website, we do not capture data that allows us to identify you individually.
If you choose to make an application or send us an email for which you provide us with personally identifiable data, we may share necessary data with other Government agencies, so as to serve you in a most efficient and effective way, unless such sharing is prohibited by law. We will NOT share your personal data with non-Government entities, except where such entities have been authorised to carry out specific Government services or in accordance with legislation under the purview of the National Environment Agency to enable us to perform our functions or duties or to comply with any order of court or in compliance with any written law or for the purposes of taking any action against any user for breach of the Conditions of Use.
For your convenience, we may also display to you data you had previously supplied us. This will speed up the transaction and save you the trouble of repeating previous submissions. Should the data be out-of-date, please supply us with the latest data. We will retain your personal data only as necessary for the effective delivery of public services to you.
To safeguard your personal data, all electronic and transmission of personal data are secured with appropriate security technologies.
This site may contain links to non-Government sites whose data protection and privacy policies may differ from ours. We are not responsible for the content and privacy policies of these other websites and encourage you to consult the privacy policies of those sites.
Please contact MSS via email (NEA_MSS_Engage@nea.gov.sg):

For any enquires or feedback on our data protection policies and procedures,
If you require more information on or access to the data which you have earlier provided to us.









	
function showWarningbar(){
    var url = "http://www.weather.gov.sg/wp-content/themes/wiptheme/page-functions/functions-ajax-warningbar.php";
	var options={url:url};
	callAjax(options,showWarningbarCallback);
}

function showWarningbarCallback(data){
    $('#warningbarDetail').html('');
    var warningData = JSON.parse(data);
    var detail = "";
    var moduleLink = "";
	if (warningData.length  > 0) {
	    detail += "<!-- Warning Bar -->";
	    for (var i = 0; i < warningData.length; i++) {
		    if (warningData[i].warnings.length > 0) {
			    for (var j = 0; j < warningData[i].warnings.length; j++) {
			    	if(warningData[i].warnings[j].show) {
			    		
				        if(warningData[i].warnings[j].module == 'H') {
							moduleLink = "http://www.weather.gov.sg/warning-heavy-rain/";
						} else if(warningData[i].warnings[j].module == 'V') {
							moduleLink = "http://www.weather.gov.sg/warning-volcanic-eruption/";
						} else if(warningData[i].warnings[j].module == 'R') {
							moduleLink = "http://www.weather.gov.sg/warning-regional-seismic-information/";
						} else if(warningData[i].warnings[j].module == 'T') {
							moduleLink = "http://www.weather.gov.sg/warning-tropical-cyclone-information/";
						} else if(warningData[i].warnings[j].module == 'Z') {
							moduleLink = "http://www.weather.gov.sg/warning-haze-satellite-image/";
						} else if(warningData[i].warnings[j].module == 'S') {
							moduleLink = "javascript:void(0)";
						} else if(warningData[i].warnings[j].module == 'O') {
							moduleLink = "http://www.weather.gov.sg/other-warnings/";
						}
						if(warningData[i].warnings[j].module == 'S') {
						
				        detail = detail + "<div class=\"warning-bar2 bg-danger\" style=\"background: #75C7EA;\">"
										+ " 	<div class=\"warning-text\">"
										+ "      <ul class=\"list-inline\">"
										+ "          <li><b>" + warningData[i].warnings[j].content + "</b></li>"
										+ "      </ul>"
										+ "		<a href=\"javascript:void(0)\" class=\"close\" title=\"Close\" onclick=\"setBannerCookies('" + warningData[i].warnings[j].id + "');\"><span class=\"glyphicon glyphicon-remove\"></span></a>"
										+ "	</div>"
										+ "</div>";
						} else {
				        detail = detail + "<div class=\"warning-bar2 bg-danger\">"
										+ "	<div class=\"warning\">"
										+ "		<img src='http://www.weather.gov.sg/wp-content/themes/wiptheme/assets/img/icon-exclamation.png' width='26' height='26' alt='excl'>Warning"
										+ "	</div>"
										+ " 	<div class=\"warning-text\">"
										+ "      <ul class=\"list-inline\">"
										+ "          <li><a href=\"" + moduleLink + "\">" + warningData[i].warnings[j].content + "</a></li>"
										+ "      </ul>"
										+ "		<a href=\"javascript:void(0)\" class=\"close\" title=\"Close\" onclick=\"setBannerCookies('" + warningData[i].warnings[j].id + "');\"><span class=\"glyphicon glyphicon-remove\"></span></a>"
										+ "	</div>"
										+ "</div>";
						}
			    	}
			    }
		    }
		    if (warningData[i].advs.length > 0) {
		        for (var j = 0; j < warningData[i].advs.length; j++) {
		        	if(warningData[i].advs[j].show) {
		        	
			            if(warningData[i].advs[j].module == 'H') {
							moduleLink = "http://www.weather.gov.sg/warning-heavy-rain/";
						} else if(warningData[i].advs[j].module == 'V') {
							moduleLink = "http://www.weather.gov.sg/warning-volcanic-eruption/";
						} else if(warningData[i].advs[j].module == 'R') {
							moduleLink = "http://www.weather.gov.sg/warning-regional-seismic-information/";
						} else if(warningData[i].advs[j].module == 'T') {
							moduleLink = "http://www.weather.gov.sg/warning-tropical-cyclone-information/";
						} else if(warningData[i].advs[j].module == 'Z') {
							moduleLink = "http://www.weather.gov.sg/warning-haze-satellite-image/";
						} else if(warningData[i].advs[j].module == 'S') {
							moduleLink = "javascript:void(0)";
						} else if(warningData[i].advs[j].module == 'O') {
							moduleLink = "http://www.weather.gov.sg/other-warnings/";
						}
				        detail +=  "<div class=\"warning-bar2 bg-warning\">"
								+ "	<div class=\"warning\">"
								+ "		<img src='http://www.weather.gov.sg/wp-content/themes/wiptheme/assets/img/icon-exclamation.png' width='26' height='26' alt='excl'>Advisory"
								+ "	</div>"
								+ " 	<div class=\"warning-text\">"
								+ "      <ul class=\"list-inline\">"
								+ "          <li><a href=\"" + moduleLink + "\">" +warningData[i].advs[j].content+ "</a></li>"
								+ "      </ul>"
								+ "		<a href=\"javascript:void(0)\" class=\"close\" title=\"Close\" onclick=\"setBannerCookies('" + warningData[i].advs[j].id + "');\"><span class=\"glyphicon glyphicon-remove\"></span></a>"
								+ "	</div>"
								+ "</div>";
		        	}
			    }
		    }
		    	
	    }
		detail +=  "<!-- / .warning-bar -->";
	} else {
		//if("1" == 1) {
		//	detail +=  "<!-- Information Update Message -->"
		//				+ "<div class=\"err-message bg-success\">"
		//				+ "<p><strong>Update:</strong></p>"
		//				+ "<p>There are currently no Warnings or Advisories.</p>"
		//				+ "		<a href=\"javascript:void(0)\" class=\"close\" title=\"Close\" onclick=\"setBannerCookies('noWarnings');\"><span class=\"glyphicon glyphicon-remove\"></span></a>"
		//				+ "</div>"
		//				+ "<!-- / End Information Update Message -->";
		//}
	}

	$('#warningbarDetail').html(detail);
	
	$('.warning-bar2 .close').click(function () {
		$(this).closest('.warning-bar2').fadeOut();
	});
	
	$('.err-message .close').click(function () {
		$(this).closest('.err-message').fadeOut();
	});
}	
	$(function() {
		showWarningbar();
	});
	
	setInterval('showWarningbar()',1000*60*5);









About MSS
Our Organisation
Organisation Structure
Our Mission and Vision
Corporate Logo
Our History
Corporate Video
News
Careers
Visit Us
Contact Us




Weather
Forecasts
Current Observations
Rain Areas
Satellite Images
Lightning Information
Marine Forecasts
World Forecasts
UV Index

Astronomical Data and Tides




Climate
Historical Daily Records
Historical Extremes
World Climate
Climate Maps
Climate Of Singapore
Past Climate Trends
Annual Reports
El Niño / La Niña Status




Warnings and Advisories
Heavy Rain Warning
Haze Information
Tropical Cyclone Information
Regional Earthquakes/Tsunami
Regional Volcanic Eruptions




Learn
Overview
Earth’s Atmosphere
Winds
Clouds
Weather Systems
Observing the Weather
Severe Weather
Forecasting
Climate
Optical Effects
Tides
Earthquakes and Volcanoes




Our Centres
Centre for Climate Research Singapore
ASEAN Specialised Meteorological Centre


Our Associate sites
National Environment Agency
Ministry of the Environment and Water Resources


OUR SPECIALISED SERVICES












Login
Terms of Use
Privacy policy
Rate this site
Supported Browsers




Follow us on











  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-59001161-2', 'auto');
  ga('send', 'pageview');


